SystemOrganization addCategory: #'SeasideLocalisation-Core'!

WAComponent subclass: #SLSelectLocaleComponent
	instanceVariableNames: 'availableLocales'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideLocalisation-Core'!

!SLSelectLocaleComponent methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 14:16'!
availableLocales
	^ availableLocales ifNil: [ Locale knownLocales ]! !

!SLSelectLocaleComponent methodsFor: 'accessing' stamp: 'IlariLiukko 12/21/2011 14:19'!
availableLocales: anObject
	availableLocales := anObject! !

!SLSelectLocaleComponent methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 14:57'!
renderContentOn: html
	html select
		id: 'localeSelect';
		list: self availableLocales;
		labels: [ :locale | locale localeID asString ];
		selected: self selectedLocale;
		callback: [ :value | self selectedLocale: value ]! !

!SLSelectLocaleComponent methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 14:56'!
selectedLocale
	^SLCurrentLocale value.! !

!SLSelectLocaleComponent methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 14:54'!
selectedLocale: aLocale
	SLCurrentLocale value: aLocale.! !

Object subclass: #SLTranslationProxy
	instanceVariableNames: 'stringObject domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideLocalisation-Core'!

!SLTranslationProxy class methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/19/2011 13:19'!
for: aString
	| callerClass |
	callerClass := thisContext sender sender methodClass.
	^ self new
		stringObject: aString;
		domain: (TextDomainManager domainForClass:callerClass);
		yourself! !

!SLTranslationProxy methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/19/2011 12:39'!
asString
	^self translatedString! !

!SLTranslationProxy methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/19/2011 12:28'!
doesNotUnderstand: aMessage
	^ aMessage sendTo: self translatedString! !

!SLTranslationProxy methodsFor: 'accessing' stamp: 'IlariLiukko 12/19/2011 12:43'!
domain
	^ domain! !

!SLTranslationProxy methodsFor: 'accessing' stamp: 'IlariLiukko 12/19/2011 12:43'!
domain: anObject
	domain := anObject! !

!SLTranslationProxy methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/19/2011 12:35'!
printOn: aStream
	self translatedString printOn: aStream! !

!SLTranslationProxy methodsFor: 'accessing' stamp: 'IlariLiukko 12/19/2011 12:29'!
stringObject
	^ stringObject! !

!SLTranslationProxy methodsFor: 'accessing' stamp: 'IlariLiukko 12/19/2011 12:29'!
stringObject: anObject
	stringObject := anObject! !

!SLTranslationProxy methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/19/2011 13:47'!
translatedString
	| currentLocale |
	currentLocale := SLCurrentLocale value.
	^ NaturalLanguageTranslator translate: stringObject toLocale: currentLocale localeID inDomain: domain.! !

WADynamicVariable subclass: #SLCurrentLocale
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideLocalisation-Core'!

!SLCurrentLocale commentStamp: 'IlariLiukko 12/16/2011 13:56' prior: 0!
CurrentLocale is WADynamicVariable used to store curren locale used to render userinterface. If it is not set it returns the images locale (Locale current).!

!SLCurrentLocale class methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 15:15'!
value
	^ super value ifNil: [ WACurrentSession value properties at: #locale ifAbsent: [ Locale current ] ]! !

!SLCurrentLocale class methodsFor: 'as yet unclassified' stamp: 'IlariLiukko 12/21/2011 15:18'!
value: aLocale
	WACurrentSession value ifNotNil: [ :session | session properties at: #locale put: aLocale ]! !
